Site listings
Units listed on a site
The site listing object
Attributes
iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
updated_atread-onlytimestamp with time zoneLast modification timestamp
orderintegerOrder of the listing as displayed on the site
slugMultiLanguageStringLocalized slug of the listing
Related resources
Embed related resources in the response with the select parameter, for example select=*,products(*). Resources related through more than one column need the column as a hint, like table!column(*).
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.698Z",
"updated_at": "2026-10-30T22:27:57.698Z",
"order": 0,
"slug": {}
}curl -X GET "https://api.bookingmood.com/v1/site_listings?limit=10&select=*,products(*),sites(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List site listings
Filters
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
orderFilter<integer>Order of the listing as displayed on the site
slugFilter<MultiLanguageString>Localized slug of the listing
Responses
200A list of site listings with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /site_listingscurl -X GET "https://api.bookingmood.com/v1/site_listings?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.698Z",
"updated_at": "2026-10-30T22:27:57.698Z",
"order": 0,
"slug": {}
}
]Create site listings
Body
Partial<SiteListing> | Array<Partial<SiteListing>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created site listings with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /site_listingscurl -X POST "https://api.bookingmood.com/v1/site_listings" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"order": 0,
"product_id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"slug": {}
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.698Z",
"updated_at": "2026-10-30T22:27:57.698Z",
"order": 0,
"slug": {}
}
]Delete site listings
Filters
Without filters, this request deletes all site listings you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
orderFilter<integer>Order of the listing as displayed on the site
slugFilter<MultiLanguageString>Localized slug of the listing
Responses
200The deleted site listings with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /site_listingscurl -X DELETE "https://api.bookingmood.com/v1/site_listings?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.698Z",
"updated_at": "2026-10-30T22:27:57.698Z",
"order": 0,
"slug": {}
}
]Update site listings
Filters
Without filters, this request updates all site listings you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
orderFilter<integer>Order of the listing as displayed on the site
slugFilter<MultiLanguageString>Localized slug of the listing
Body
Partial<SiteListing>Read-only attributes are set by the database and can't be written.
Responses
200The updated site listings with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /site_listingscurl -X PATCH "https://api.bookingmood.com/v1/site_listings?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"order": 0
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.698Z",
"updated_at": "2026-10-30T22:27:57.698Z",
"order": 0,
"slug": {}
}
]